<?
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'Смайлы';
require_once('conf/head.php');
if ((isset($_SESSION['id'])) and (isset($_SESSION['nick'])))  {
  require_once('conf/top.php');
}
$user_id=abs(intval($_SESSION['id']));
$usg3=$dbc->query("SELECT * FROM `users` WHERE`id`='$user_id'")->fetch_assoc();
if($usg3['admin']<'1'){header('location: /');}
$fn=$_FILES['smile']['name'];
$fnr=end(explode('.',$fn));
if($fnr=='jpg' or $fnr=='JPG' or $fnr=='GIF' or $fnr=='gif' or $fnr=='png' or $fnr=='PNG'){
if(copy($_FILES['smile']['tmp_name'],'smile/'.$fn.'')){
$name=htmlspecialchars($_POST[name]);
   $query = "Select * from smile where name = '$name' limit 1";
	  $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  $row = mysqli_fetch_array($result);
	  if ($row != 0) {echo'<span class="red">Смайл с таким названием уже существует!</span>';}
else{
$dbc->query("INSERT INTO `smile` set `name` = '$name', `icon` = '".$fn."'");
echo'<span class="bonus">Смайл успешно создан</span>';}
}else{echo'<span class="red">Ошибка загрузки</span>';}
}else{
if(isset($fn)){echo'<span class="red">Неверный формат изображения!</span>';}
}
 echo'<center><p class="profile">Добавить смайл</p></center>
<div class="r6"><form enctype="multipart/form-data" action="" method="post">
Название смайла:<br/><input type="text" style="width:45%; height:25px;" name="name" value=""/><br/>
Картинка:</br>
<input type="file" style="width:230px;" name="smile"/><br/><input type="submit" value="Загрузить"/></form></center>';
echo"<div class='link'><a  class='link' style='text-decoration:none;' href='moderka.php'><img src='/img/reload.gif' >В модерку</a></div></div>";

require_once('conf/navig.php');
require_once('conf/foot.php'); 
?>